Next: va_end-trad, Previous: va_start-trad, Up: Varargs [Contents][Index]

#### 13.2.3 Extract a value from argument list

Synopsis

    #include <varargs.h>
    type va_arg(va_list ap, type);

Description
`va_arg` returns the next unprocessed value from a variable argument list ap (which you must previously create with va_start). Specify the type for the value as the second parameter to the macro, type.

Returns
`va_arg` returns the next argument, an object of type type.

Portability
The `va_arg` defined in `varargs.h` has the same syntax and usage as the ANSI C version from `stdarg.h`.